package com.god.base.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.god.base.domain.request.CarRequest;
import com.god.common.core.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * 车辆信息管理对象
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@TableName(value = "t_car")
public class TopicCar implements Serializable {

    /**
     * 车辆Vin 主键
     */
    @TableId(value = "car_vin_id",type = IdType.AUTO)
    private String carVinId;

    /**
     * 车辆状态
     */
    private int status;

    /**
     * 车辆绑定的主题
     */
    private String topic;


}
