package com.god.base.remote;

import com.god.base.domain.Fence;
import com.god.base.remote.factory.RemoteCarFallbackFactory;
import com.god.base.domain.Car;
import com.god.common.core.domain.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

/**
 * 车辆服务
 *
 * @author LouZhiSHuo
 * @Date 2023/11/27 19:14
 **/
@FeignClient(contextId = "remoteCarService", value = "god-car-base", fallbackFactory = RemoteCarFallbackFactory.class)
public interface RemoteCarService {


    @GetMapping("/car/list")
    public Result<Car> list(@RequestParam("carVinId") String carVinId);

    @PostMapping("/baseFence/fenceById")
    public Result<Fence> fenceById(@RequestParam("fenceId") Integer fenceId);
}
