package com.god.base.remote;

import com.god.base.domain.Fence;
import com.god.base.remote.factory.RemoteFenceFallbackFactory;
import com.god.common.core.constant.SecurityConstants;
import com.god.common.core.domain.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * 围栏服务
 *
 * @author LouZhiSHuo
 * @Date 2023/11/27 19:39
 **/
@FeignClient(contextId = "remoteFenceService", value = "god-car-base", fallbackFactory = RemoteFenceFallbackFactory.class)
public interface RemoteFenceService {

    @PostMapping("/baseFence/fenceById")
    public Result<Fence> fenceById(@RequestParam("fenceId") Integer fenceId, @RequestHeader(SecurityConstants.FROM_SOURCE) String source);
}
