package com.god.base.remote.factory;

import com.god.base.domain.Fence;
import com.god.base.remote.RemoteCarService;
import com.god.base.domain.Car;
import com.god.common.core.domain.Result;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * 车辆服务
 *
 * @author LouZhiSHuo
 * @Date 2023/11/27 19:15
 **/
@Component
public class RemoteCarFallbackFactory implements FallbackFactory<RemoteCarService> {

    private static final Logger log = LoggerFactory.getLogger(RemoteCarFallbackFactory.class);

    @Override
    public RemoteCarService create(Throwable cause) {
        log.error("远程调用车辆信息错误:{}",cause.getMessage());

        return  new RemoteCarService() {
            @Override
            public Result<Car> list(String carVinId) {
                return Result.error("保存操作日志失败:" + cause.getMessage());
            }

            @Override
            public Result<Fence> fenceById(Integer fenceId) {
                return Result.error("保存操作日志失败:" + cause.getMessage());
            }
        };
    }
}
