package com.god.base.remote.factory;

import com.god.base.domain.Fence;
import com.god.base.remote.RemoteFenceService;
import com.god.common.core.domain.Result;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;

/**
 * 围栏服务
 *
 * @author LouZhiSHuo
 * @Date 2023/11/27 19:40
 **/
public class RemoteFenceFallbackFactory implements FallbackFactory<RemoteFenceService> {

    private static final Logger log = LoggerFactory.getLogger(RemoteFenceFallbackFactory.class);
    @Override
    public RemoteFenceService create(Throwable cause) {

        log.error("远程调用围栏服务失败:{}",cause.getMessage());
        return new RemoteFenceService() {

            @Override
            public Result<Fence> fenceById(Integer fenceId, String source) {
                return Result.error("保存操作日志失败:" + cause.getMessage());
            }
        };
    }
}
