package com.god.base.server.controller;

import com.god.base.domain.request.GetTopicReq;
import com.god.base.server.service.TopLineService;
import com.god.base.server.service.impl.TopLineServiceImpl;
import com.god.common.core.domain.Result;
import com.god.common.log.annotation.Log;
import org.springframework.beans.factory.annotation.Autowired;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * @description: 车辆上线控制层
 * @Author fst
 * @date 2023/11/28 23:38
 */
@RestController
@RequestMapping("/topLine")
public class TopLineController {

    @Autowired
    private TopLineServiceImpl topLineService;

    /**
     * 获取主题
     * @return
     */
    @GetMapping("getTopic")
    @Log(title = "获取主题")
    public Result<String> getTopic(@RequestBody GetTopicReq getTopicReq){
        String topic = topLineService.getTopic(getTopicReq);
        return Result.success(topic);
    }
}
