package com.god.base.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.god.base.domain.Car;
import com.god.base.domain.CarType;
import com.god.base.domain.Fence;
import com.god.base.domain.VehicleMessage;
import com.god.common.core.domain.Result;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 车辆管理层
 */
public interface CarService extends IService<Car> {


    Result<List<Car>> carList(@Param("userId") String userId);


    Car selectCarInfoList(@Param("vinId") String vinId);

    Result<List<VehicleMessage>> onlineVehicle();

    /**
     * 响应信息主题
     * @return
     */
    Result<String> countData();



    /**
     * 通过电子围栏id 获取这一条信息
     * @param
     * @return
     */
    List<Fence> fenceId();

    /**
     * 通过车辆类型id 获取车辆类型
     * @param
     * @return
     * @return
     */
    List<CarType> carTypeId();
}



